Package twisted :: Package protocols :: Module irc :: Class DccFileReceiveBasic

[show private | hide private]
[frames | no frames]

## Class DccFileReceiveBasic

    BaseProtocol --+
                   |
            Protocol --+
                       |
           Ephemeral --+
                       |
                      DccFileReceiveBasic

Known Subclasses:
  `DccFileReceive`

Bare protocol to receive a Direct Client Connection SEND stream.

This does enough to keep the other guy talking, but you'll want to extend my dataReceived method to *do* something with the data I get.

Method Summary
| `__init__(self, resumeOffset)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``dataReceived`(self, data)` Called when data is received.

Class Variable Summary
`int` | `bytesReceived`

Method Details

### dataReceived(self, data)

Called when data is received.

Warning: This just acknowledges to the remote host that the data has been received; it doesn't *do* anything with the data, so you'll want to override this.

Class Variable Details

### bytesReceived

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:16:39 2003 | http://epydoc.sf.net